export PROJECT_DIR=fusion/project

export APP_DIR=fusion/app
export MW_DIR =fusion/mw
export COM_DIR=fusion/common
export HAL_DIR=fusion/hal
export THIRD_PARTY_DIR=fusion/third_party

$(warning 54456 clags=$(MW_DIR))


LIBHV_HEADERS += fusion/*.h
CORE_SRCDIRS  += fusion


include $(COM_DIR)/config.mk
include $(MW_DIR)/config.mk
include $(HAL_DIR)/config.mk
include $(THIRD_PARTY_DIR)/config.mk

include $(PROJECT_DIR)/project.mk
$(warning HAL_CONFIG_FILE_PATH clags=$(HAL_CONFIG_FILE_PATH))
ALL_SRCDIRS += $(CORE_SRCDIRS)
